# List affiliate coupons

## Request

| Method | URL                                                 |
| ------ | --------------------------------------------------- |
| `GET`  | `https://api.getrewardful.com/v1/affiliate_coupons` |

### Optional parameters

| Parameter     | Description                                 |
| ------------- | ------------------------------------------- |
| affiliate\_id | A filter based on the coupon's affiliate.\* |

## Example&#x20;

#### List all affiliate coupons

```bash
curl --request GET \
  --url https://api.getrewardful.com/v1/affiliate_coupons \
  -u YOUR_API_SECRET:
```

#### List all affiliate coupons by affiliate

```
curl --request GET \
  --url https://api.getrewardful.com/v1/affiliate_coupons?affiliate_id=a3482343-8680-40c5-af9a-9efa119713b5 \
  -u YOUR_API_SECRET:
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.rewardful.com/rest-api/affiliate-coupons/list-affiliate-coupons.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
